org.apache.cayenne.merge

## Class SetValueForNullToDb

- java.lang.Object
- - org.apache.cayenne.merge.AbstractToDbToken
  - - org.apache.cayenne.merge.SetValueForNullToDb

- All Implemented Interfaces:
    Comparable<MergerToken>, MergerToken

      public class SetValueForNullToDb
      extends AbstractToDbToken

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetValueForNullToDb(DbEntity entity, DbAttribute column, ValueForNullProvider valueForNullProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MergerToken o)`
    `MergerToken` | `createReverse(MergerFactory factory)` Create a token with the reverse direction.
    `List<String>` | `createSql(DbAdapter adapter)`
    `DbAttribute` | `getColumn()`
    `DbEntity` | `getEntity()`
    `protected QuotingStrategy` | `getQuotingStrategy(DbAdapter adapter)`
    `String` | `getTokenName()`
    `String` | `getTokenValue()`

    - ### Methods inherited from class org.apache.cayenne.merge.AbstractToDbToken

      `execute, executeSql, getDirection, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SetValueForNullToDb

          public SetValueForNullToDb(DbEntity entity,
                                     DbAttribute column,
                                     ValueForNullProvider valueForNullProvider)

  - ### Method Detail

    - #### createSql

          public List<String> createSql(DbAdapter adapter)

      Specified by:
        `createSql` in class `AbstractToDbToken`

    - #### createReverse

          public MergerToken createReverse(MergerFactory factory)

      Description copied from interface: `MergerToken`
      Create a token with the reverse direction. AddColumn in one direction becomes DropColumn in the other direction.

      Not all tokens are reversible.

    - #### getTokenName

          public String getTokenName()

    - #### getColumn

          public DbAttribute getColumn()

    - #### getTokenValue

          public String getTokenValue()

      Specified by:
        `getTokenValue` in interface `MergerToken`

    - #### getEntity

          public DbEntity getEntity()

    - #### getQuotingStrategy

          protected QuotingStrategy getQuotingStrategy(DbAdapter adapter)

    - #### compareTo

          public int compareTo(MergerToken o)

Copyright © 2001–2018 Apache Cayenne. All rights reserved.